/**
 * 
 */
package com.goods;

import java.util.Map;

import org.geoserver.ows.KvpRequestReader;

/**
 * @author Administrator
 *
 */
public class GetOutlayKvpReader extends KvpRequestReader {

	/**
	 * @param requestBean
	 */
	public GetOutlayKvpReader() {
		super(GetOutlayRequest.class);
	}
	
    public Object createRequest() throws Exception {
        return new GetOutlayRequest();
    }
	
    public Object read(Object request, Map kvp, Map rawKvp) throws Exception {
    	GetOutlayRequest ret = (GetOutlayRequest) request;
    	ret.setCityFrom(kvp.get("from").toString());
    	ret.setCityTo(kvp.get("to").toString());
    	ret.setWeight(Integer.parseInt(kvp.get("weight").toString()));
    	return ret;
    }
	

}
